Package org.eclipse.m2m.atl.emftvm.util

## Class LazyOrderedSet.LongRangeOrderedSet

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.util.LazyCollection<E>
  - - org.eclipse.m2m.atl.emftvm.util.LazyOrderedSet<java.lang.Long>
    - - org.eclipse.m2m.atl.emftvm.util.LazyOrderedSet.LongRangeOrderedSet

All Implemented Interfaces:
  `java.lang.Iterable<java.lang.Long>`, `java.util.Collection<java.lang.Long>`, `java.util.List<java.lang.Long>`, `java.util.Set<java.lang.Long>`

Enclosing class:
  LazyOrderedSet<E>

    public static class LazyOrderedSet.LongRangeOrderedSet
    extends LazyOrderedSet<java.lang.Long>

`LazyOrderedSet` that represents a range running from a first to last `Long`.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.m2m.atl.emftvm.util.LazyOrderedSet

`LazyOrderedSet.AppendOrderedSet<E>, LazyOrderedSet.ExcludingOrderedSet<E>, LazyOrderedSet.InsertAtOrderedSet<E>, LazyOrderedSet.IntegerRangeOrderedSet, LazyOrderedSet.LongRangeOrderedSet, LazyOrderedSet.NonCachingOrderedSet<E>, LazyOrderedSet.PrependOrderedSet<E>, LazyOrderedSet.ReverseOrderedSet<E>, LazyOrderedSet.SubOrderedSet<E>`

### Nested classes/interfaces inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection

`LazyCollection.AppendIterator, LazyCollection.CachingIterator, LazyCollection.CachingSetIterator, LazyCollection.CollectIterator<T>, LazyCollection.ExcludingIterator, LazyCollection.FilterIterator, LazyCollection.FlattenIterator, LazyCollection.FlattenSetIterator, LazyCollection.IntegerRangeListIterator, LazyCollection.IntersectionIterator, LazyCollection.IteratorToListIterator, LazyCollection.LongRangeListIterator, LazyCollection.ReadOnlyIterator<E>, LazyCollection.ReadOnlyListIterator<E>, LazyCollection.RejectIterator, LazyCollection.ReverseIterator, LazyCollection.ReverseListIterator, LazyCollection.SelectIterator, LazyCollection.SubListIterator, LazyCollection.SubListListIterator, LazyCollection.SubtractionIterator, LazyCollection.UnionIterator, LazyCollection.UnionSetIterator, LazyCollection.WrappedIterator, LazyCollection.WrappedListIterator`

### Field Summary

Fields
`protected long` `first`
`protected long` `last`

### Fields inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection

`cache, dataSource, occurrences`

### Constructor Summary

Constructors
`LongRangeOrderedSet​(long first, long last)` Creates a new `LazyList.LongRangeList`.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `contains​(java.lang.Object o)`
`int` `count​(java.lang.Object object)` Returns the number of occurrences of `object` in self. `post: result <= 1`
`protected void` `createCache()` Creates the cache collections.
`java.lang.Long` `first()` Returns the first element in self.
`java.lang.Long` `get​(int index)`
`int` `indexOf​(java.lang.Object o)`
`boolean` `isEmpty()`
`java.util.Iterator<java.lang.Long>` `iterator()`
`java.lang.Long` `last()` Returns the last element in self.
`int` `lastIndexOf​(java.lang.Object o)`
`java.util.ListIterator<java.lang.Long>` `listIterator()`
`java.util.ListIterator<java.lang.Long>` `listIterator​(int index)`
`int` `size()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyOrderedSet

`add, addAll, append, asOrderedSet, asString, at, collect, equals, excluding, excludingAll, flatten, hashCode, including, including, includingAll, includingAll, includingRange, indexOf2, insertAt, intersection, intersection, intersection, lastIndexOf2, prepend, reject, remove, reverse, select, set, sortedBy, subList, subSequence, subtract, subtract, symmetricDifference, union, union, union, union`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection

`add, addAll, any, appendElements, asBag, asSequence, asSet, clear, containsAll, containsAny, excludes, excludesAll, exists, exists2, forAll, forAll2, includes, includesAll, isUnique, iterate, mappedBy, mappedBySingle, max, min, notEmpty, one, product, remove, removeAll, retainAll, sum, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.List

`add, addAll, clear, containsAll, remove, removeAll, replaceAll, retainAll, sort, spliterator, toArray, toArray`

### Methods inherited from interface java.util.Set

`add, addAll, clear, containsAll, remove, removeAll, retainAll, spliterator, toArray, toArray`

### Field Detail

#### first

    protected final long first

#### last

    protected final long last

### Constructor Detail

#### LongRangeOrderedSet

    public LongRangeOrderedSet​(long first,
                               long last)

Creates a new `LazyList.LongRangeList`.

Parameters:
  `first` - the first object of the range to include
  `last` - the last object of the range to include

### Method Detail

#### createCache

    protected void createCache()

Creates the cache collections.

Overrides:
  `createCache` in class `LazyOrderedSet<java.lang.Long>`

#### first

    public java.lang.Long first()

Returns the first element in self.

Overrides:
  `first` in class `LazyOrderedSet<java.lang.Long>`
Returns:
  The first element in self.

#### get

    public java.lang.Long get​(int index)

Specified by:
  `get` in interface `java.util.List<java.lang.Long>`
Overrides:
  `get` in class `LazyOrderedSet<java.lang.Long>`

#### indexOf

    public int indexOf​(java.lang.Object o)

Specified by:
  `indexOf` in interface `java.util.List<java.lang.Long>`
Overrides:
  `indexOf` in class `LazyOrderedSet<java.lang.Long>`

#### last

    public java.lang.Long last()

Returns the last element in self.

Overrides:
  `last` in class `LazyOrderedSet<java.lang.Long>`
Returns:
  The last element in self.

#### lastIndexOf

    public int lastIndexOf​(java.lang.Object o)

Specified by:
  `lastIndexOf` in interface `java.util.List<java.lang.Long>`
Overrides:
  `lastIndexOf` in class `LazyOrderedSet<java.lang.Long>`

#### listIterator

    public java.util.ListIterator<java.lang.Long> listIterator()

Specified by:
  `listIterator` in interface `java.util.List<java.lang.Long>`
Overrides:
  `listIterator` in class `LazyOrderedSet<java.lang.Long>`

#### listIterator

    public java.util.ListIterator<java.lang.Long> listIterator​(int index)

Specified by:
  `listIterator` in interface `java.util.List<java.lang.Long>`
Overrides:
  `listIterator` in class `LazyOrderedSet<java.lang.Long>`

#### contains

    public boolean contains​(java.lang.Object o)

Specified by:
  `contains` in interface `java.util.Collection<java.lang.Long>`
Specified by:
  `contains` in interface `java.util.List<java.lang.Long>`
Specified by:
  `contains` in interface `java.util.Set<java.lang.Long>`
Overrides:
  `contains` in class `LazyCollection<java.lang.Long>`

#### count

    public int count​(java.lang.Object object)

Returns the number of occurrences of `object` in self.
`post: result <= 1`

Overrides:
  `count` in class `LazyOrderedSet<java.lang.Long>`
Parameters:
  `object` - the object to count
Returns:
  The number of occurrences of `object` in self.

#### isEmpty

    public boolean isEmpty()

Specified by:
  `isEmpty` in interface `java.util.Collection<java.lang.Long>`
Specified by:
  `isEmpty` in interface `java.util.List<java.lang.Long>`
Specified by:
  `isEmpty` in interface `java.util.Set<java.lang.Long>`
Overrides:
  `isEmpty` in class `LazyCollection<java.lang.Long>`

#### iterator

    public java.util.Iterator<java.lang.Long> iterator()

Specified by:
  `iterator` in interface `java.util.Collection<java.lang.Long>`
Specified by:
  `iterator` in interface `java.lang.Iterable<java.lang.Long>`
Specified by:
  `iterator` in interface `java.util.List<java.lang.Long>`
Specified by:
  `iterator` in interface `java.util.Set<java.lang.Long>`
Overrides:
  `iterator` in class `LazyOrderedSet<java.lang.Long>`

#### size

    public int size()

Specified by:
  `size` in interface `java.util.Collection<java.lang.Long>`
Specified by:
  `size` in interface `java.util.List<java.lang.Long>`
Specified by:
  `size` in interface `java.util.Set<java.lang.Long>`
Overrides:
  `size` in class `LazyCollection<java.lang.Long>`